# Class CIM_ServiceSAPDependency
extends CIM_Dependency

CIM_ServiceSAPDependency is an association between a Service and a ServiceAccessPoint that indicates that the referenced SAP is utilized by the Service to provide its functionality. For example, Boot Services can invoke BIOS Disk Services (interrupts) in order to function.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ServiceSAPDependency

## Direct Known Subclasses

CIM_CalculatesAmong
CIM_EgressConditioningServiceOnEndpoint
CIM_ForwardsAmong
CIM_IngressConditioningServiceOnEndpoint
CIM_RelatedTransparentBridgingService
CIM_SwitchPortSourceRouting
CIM_SwitchPortSpanningTree
CIM_TrapSourceForSNMPService
CIM_VLANFor

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | CIM_ServiceSAPDependency is an association between a Service and a ServiceAccessPoint that indicates that the referenced SAP is utilized by the Service to provide its functionality. For example, Boot Services can invoke BIOS Disk Services (interrupts) in order to function.
UMLPackagePath | string | CIM::Core::Service
Version | string | 2.10.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_ServiceSAPDependency | CIM_ServiceAccessPoint
Dependent | CIM_ServiceSAPDependency | CIM_Service

## Class Methods